## autotiling 1.9.3

=== Makefile ===
VERSION=$(shell python3 -c "from configparser import ConfigParser; p = ConfigParser(); p.read('setup.cfg'); print(p['metadata']['version'])")

default:
	@echo "\"make publish\"?"

upload:
	# Make sure we're on the master branch
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	rm -f dist/*
	# https://stackoverflow.com/a/58756491/353337
	python3 -m pep517.build --source --binary .
	twine upload dist/*

tag:
	@if [ "$(shell git rev-parse --abbrev-ref HEAD)" != "master" ]; then exit 1; fi
	curl -H "Authorization: token `cat $(HOME)/.github-access-token`" -d '{"tag_name": "v$(VERSION)"}' https://api.github.com/repos/nwg-piotr/autotiling/releases

publish: tag upload

clean:
	@find . | grep -E "(__pycache__|\.pyc|\.pyo$\)" | xargs rm -rf
	@rm -rf *.egg-info/ build/ dist/ MANIFEST

format:
	isort .
	black .

black:
	black .

lint:
	black --check .
	flake8 .

=== debian/changelog ===
autotiling (1.9.3-1) unstable; urgency=medium

  [ Maytham Alsudany ]
  * Team upload.
  * New upstream version 1.9.3
  * Move to team maintenance under DPT
  * Update Vcs fields to point to DPT group.
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Thu, 30 May 2024 07:24:36 +0200

autotiling (1.9.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1069300)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Fri, 19 Apr 2024 20:02:22 +0200

=== debian/control ===
Source: autotiling
Section: misc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Johannes Schauer Marin Rodrigues <josch@debian.org>
Homepage: https://github.com/nwg-piotr/autotiling/
Vcs-Browser: https://salsa.debian.org/python-team/packages/autotiling
Vcs-Git: https://salsa.debian.org/python-team/packages/autotiling.git
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-argparse-manpage,
 python3-i3ipc,
 python3-setuptools,
Rules-Requires-Root: no

Package: autotiling
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: automatically switch the window split orientation in sway and i3
 This script uses the i3ipc-python library to switch the layout splith/splitv
 depending on the currently focused window dimensions. It works on both sway
 and i3 window managers.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	argparse-manpage --project-name=autotiling --author="Piotr Miller" --author-email="nwg.piotr@gmail.com" --url=https://github.com/nwg-piotr/autotiling/ --pyfile=autotiling/main.py --function get_parser > autotiling.1

execute_after_dh_auto_clean:
	rm -f autotiling.1

=== debian/watch ===
version=4
 opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
     https://github.com/nwg-piotr/autotiling/tags \
     (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
